<template>
    <div>
        <modal :name="addEmailModal" :adaptive="Boolean" :maxWidth="500" height="auto" styles="border-radius: 10px" classes="auth-form form-ui-style-default">
            <div class="registration-form step-1">
                <div class="form__title">Добавьте электронную почту</div>

                <div class="form-group form-text-info">
                    На электронную почту приходят сообщения о заказах
                </div>

                <div class="form-group">
                    <label for="name">Электронная почта <i class="requred"></i></label>

                    <input type="email" v-model="email" />
                </div>

                <div v-if="errors.length" class="form-validation-errors alert alert-danger">
                    <div v-for="error in errors">
                        {{ error }}
                    </div>
                </div>

                <div class="form-group">
                    <div class="d-flex justify-content-between form__buttons align-items-center">
                        <button v-on:click="sendEmailConfirmation" class="btn btn-primary">
                            Отправить
                        </button>
                    </div>
                </div>
            </div>
        </modal>

      <email-confirmation v-if="showEmailConfirmationModal" :email="email" :successfully="true" />
    </div>
</template>

<script>
export default {
  data() {
    return {
      addEmailModal: `add-email-modal`,
      showEmailConfirmationModal: false,
      errors: [],
      email: '',
    }
  },
  mounted() {
    this.setModalSession();
    this.errors = [];
    this.toggleModal(this.addEmailModal);
  },
  methods: {
    toggleModal(modalName) {
      this.errors = [];
      this.$modal.toggle(modalName);
    },
    async sendEmailConfirmation() {
      await axios
          .post('/email/send-verification/', { email: this.email })
          .then(result => {
            if (result.data.status == 'success') {
              this.showEmailConfirmationModal = true;
              this.toggleModal(this.addEmailModal);
            } else {
              console.error(result.request);
            }
          })
          .catch(error => {
            console.error(error);
            this.errors = error.response.data.data.errors.email;
          })
      ;
    },
    setModalSession() {
      axios
          .post('/profile/set-session-profile/')
          .catch(error => {
            console.log(error);
          });
    }
  },
}
</script>
